DragonFly BSD
DragonFly users List (threaded) for 2012-05
[Date Prev][Date Next]  [Thread Prev][Thread Next]  [Date Index][Thread Index]

Re: pkgsrc2012Q1-firefox build fails

From: Goetz Isenmann <info@xxxxxxxxxxxxxxxxx>
Date: Fri, 4 May 2012 22:23:36 +0200

On Fri, May 04, 2012 at 11:01:54AM -0700, Edward wrote:
> On 05/03/2012 10:46 PM, Justin Sherrill wrote:
> >I recommend pkg_rolling-replace in general when building from source.
> >Off the top of my head, this should mark firefox for rebuilding and
> >then rebuild it and all its dependencies.
> >
> >pkg_admin set rebuild=YES firefox
> >pkg_rolling-replace -rsv
> >
> >You can then tackle other packages for upgrades as you like or run
> >'pkg_rolling-replace -uv' to rebuild everything.  I'm writing from
> >memory, so check the man pages for these tools and get an idea for
> >what they do before you copy and paste anything I typed.
>    Hi ,
>    I read the pkgsrc howto and used pkg_rolling-replace.
>    However now the firefox-11.0 pkgsrc  stops with the following error:
>       /usr/libexec/ld-elf.so.2: Shared object "libpcre.so.0" not
> found, required by
>       "libglib-2.0.so.0"

Saw this, when I used pkg_rolling-replace to upgrade from one quaterly
pkgsrc release to the next. In most (all?) cases I got this error,
when the package was rebuild, that contained the shared library
mentioned in the error message. Removing the old package ("pkg_delete
-f glib2" in this case) and restaring the pkg_rolling-replace worked
for me. Had to repeat this several times for different packages.

[Date Prev][Date Next]  [Thread Prev][Thread Next]  [Date Index][Thread Index]